For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet lifecycle trends
      • GETGet instance information
      • POSTSend Unleash feedback
      • GETGet UI configuration
      • POSTSets allowed CORS origins
      • PUTUpdate Unleash feedback
      • POSTUpdate splash settings
      • POSTAccepts errors from the UI client

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAdmin UI

Get UI configuration

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/ui-config
GET
/api/admin/ui-config
$curl https://app.unleash-instance.example.com/api/admin/ui-config \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "version": "5.3.0-main",
3 "unleashUrl": "https://unleash.mycompany.com/enterprise",
4 "baseUriPath": "/enterprise",
5 "versionInfo": {
6 "current": {
7 "oss": "5.3.0-main",
8 "enterprise": "5.3.0-main+2105.45ed03c9"
9 },
10 "latest": {
11 "oss": "5.1.5",
12 "enterprise": "5.1.5"
13 },
14 "isLatest": true,
15 "instanceId": "0d652a82-43db-4144-8e02-864b0b030710",
16 "buildDate": "2023-06-30T11:41:00.123Z"
17 },
18 "slogan": "The enterprise-ready feature flag service.",
19 "name": "Unleash enterprise",
20 "environment": "Enterprise",
21 "billing": "subscription",
22 "edgeUrl": "https://yourcompany.edge.getunleash.io",
23 "logRocketAppId": "1knhci/unleash-sandbox",
24 "feedbackUriPath": "/feedback",
25 "disablePasswordAuth": false,
26 "emailEnabled": true,
27 "maintenanceMode": false,
28 "resourceLimits": {
29 "segmentValues": 10,
30 "strategySegments": 10,
31 "actionSetActions": 10,
32 "actionSetsPerProject": 10,
33 "actionSetFilters": 10,
34 "actionSetFilterValues": 10,
35 "signalEndpoints": 10,
36 "signalTokensPerEndpoint": 10,
37 "featureEnvironmentStrategies": 30,
38 "constraintValues": 250,
39 "constraints": 30,
40 "environments": 50,
41 "apiTokens": 2000,
42 "projects": 500,
43 "segments": 300,
44 "featureFlags": 5000,
45 "releaseTemplates": 5,
46 "readOnlyUsers": 50
47 },
48 "prometheusAPIAvailable": true,
49 "impactMetrics": "internal",
50 "frontendApiOrigins": [
51 "*"
52 ],
53 "flags": {
54 "messageBanner": {
55 "name": "disabled",
56 "enabled": false
57 },
58 "featuresExportImport": true
59 },
60 "links": [
61 {
62 "value": "Documentation",
63 "icon": "library_books",
64 "href": "https://docs.getunleash.io",
65 "title": "User documentation"
66 },
67 {
68 "value": "GitHub",
69 "icon": "c_github",
70 "href": "https://github.com/Unleash/unleash",
71 "title": "Source code on GitHub"
72 }
73 ],
74 "authenticationType": "enterprise",
75 "oidcConfiguredThroughEnv": false,
76 "samlConfiguredThroughEnv": false,
77 "maxSessionsCount": 10,
78 "unleashContext": {}
79}
Retrieves the full configuration used to set up the Unleash Admin UI.
Was this page helpful?
Previous

Sets allowed CORS origins

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

uiConfigSchema
versionstring
The current version of Unleash
unleashUrlstring
The URL of the Unleash instance.
baseUriPathstring
The base URI path at which this Unleash instance is listening.
versionInfoobject
Detailed information about an Unleash version
sloganstring
The slogan to display in the UI footer.
namestring
The name of this Unleash instance. Used to build the text in the footer.
environmentstring

What kind of Unleash instance it is: Enterprise, Pro, or Open source

billingenum
The billing model in use for this Unleash instance.
Allowed values:
edgeUrlstring
The URL of the Unleash Edge instance.
logRocketAppIdstring

The LogRocket app ID used to initialize session replay in the admin UI. Only used when the logRocketEnabled flag is on.

feedbackUriPathstring
The URI path at which the feedback endpoint is listening.
disablePasswordAuthboolean
Whether password authentication should be disabled or not.
emailEnabledboolean
Whether this instance can send out emails or not.
maintenanceModeboolean
Whether maintenance mode is currently active or not.
resourceLimitsobject
A map of resource names and their limits.
prometheusAPIAvailableboolean
Whether a Prometheus API is available.
impactMetricsenum

Impact metrics availability for this instance. disabled when the killswitch is on; unconfigured when no source is set up yet; internal/external/full depending on which data sources are available.

Allowed values:
frontendApiOriginslist of strings

The list of origins that the front-end API should accept requests from.

flagsmap from strings to booleans or objects

Additional (largely experimental) features that are enabled in this Unleash instance.

linkslist of objects
Relevant links to use in the UI.
authenticationTypeenum
The type of authentication enabled for this Unleash instance
oidcConfiguredThroughEnvboolean
Whether the OIDC configuration is set through environment variables or not.
samlConfiguredThroughEnvboolean
Whether the SAML configuration is set through environment variables or not.
maxSessionsCountdouble
The maximum number of sessions that a user has.
unleashContextobject
The context object used to configure the Unleash instance.